# RPM specfile for xmms module
# Generated Wed Aug  6 01:14:11 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from $Id: ximian-build.conf,v 1.72 2003/08/06 01:15:52 mibarra Exp $

%define nam	xmms
%define ver	1.2.7
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	15

Name:     	xmms
Version: 	1.2.7
Release:	21.p.ximian.6.15
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.xmms.org/
Epoch:		1
Source0:	xmms-1.2.7.tar.gz
Patch0:		xmms-cflags.patch
Patch1:		xmms-enqueue-and-play.patch
Patch2:		xmms-de.po.patch
BuildRequires:	libvorbis-devel >= 1.0
BuildRequires:	ORBit-devel
BuildRequires:	autoconf213 = 2.13
Summary:	Audio player for the X Window System
Group:		Applications/Multimedia
Requires:	libogg >= 1.0
Requires:	libvorbis >= 1.0
Requires:	mikmod >= 3.1.5
Provides:	ximian-xmms = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	xmms-esd
Obsoletes:	xmms-mikmod
Obsoletes:	xmms-gl
Obsoletes:	xmms-vorbis
Conflicts:	xmms-devel < 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-devel > 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-esd < 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-esd > 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-gl < 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-gl > 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-mikmod < 1:1.2.7-21.p.ximian.6.15
Conflicts:	xmms-mikmod > 1:1.2.7-21.p.ximian.6.15

%description

 XMMS (formerly known as X11Amp) is an X/GTK+ based audio player
 for various audio formats.
 .
 It's able to read and play:
  * Audio MPEG layer 1, 2, and 3 (with mpg123 plug-in),
  * WAV, RAW, AU (with internal wav plug-in and MikMod plug-in),
  * MOD, XM, S3M, and other module formats (with MikMod plug-in),
  * CD Audio (with CDAudio plug-in), with CDDB support,
  * .cin files, id Software.
 It has eSound, OSS, and disk writer support for outputting sound.
 .
 It looks almost the same as the famous Winamp, and includes those neat
 features like plug-ins, several of which come bundled,
 a spectrum analyzer, oscilloscope, WinAmp skins support, and
 a playlist window.


%files
%defattr(-, root, root)
/etc/X11/wmconfig/xmms
/usr/share/gnome/apps/Multimedia/xmms.desktop
/usr/bin/xmms
/usr/bin/wmxmms
%dir /usr/lib/xmms
%dir /usr/lib/xmms/Input
%dir /usr/lib/xmms/Output
%dir /usr/lib/xmms/General
%dir /usr/lib/xmms/Effect
%dir /usr/lib/xmms/Visualization
/usr/lib/libxmms.so.*
/usr/lib/xmms/Input/*
/usr/lib/xmms/Output/*
/usr/lib/xmms/General/*
/usr/lib/xmms/Effect/*
/usr/lib/xmms/Visualization/*
/usr/share/xmms/
/usr/share/pixmaps/xmms_logo.xpm
/usr/*/locale/*/LC_MESSAGES/*
/usr/share/man/man1/xmms*
/usr/share/man/man1/wmxmms*


%post
ldconfig

%postun
ldconfig

%package -n xmms-devel
Summary:	XMMS - Static libraries and header files.
Group:		Applications/Multimedia
Requires:	xmms = 1:1.2.7-21.p.ximian.6.15
Requires:	gtk+-devel
Provides:	ximian-xmms-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n xmms-devel
Static libraries and header files required for compiling xmms plugins.

%files -n xmms-devel
%defattr(-, root, root)
/usr/bin/xmms-config
/usr/lib/lib*.so
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/include/*
/usr/share/aclocal/xmms.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n xmms-1.2.7
    ;;
all)
%setup  -q -n xmms-1.2.7
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    aclocal-1.4; automake-1.4 --gnu  --include-deps; autoconf-2.13; INPUT_PLUGINS="wav,mikmod,cdaudio,idcin,tonegen,vorbis" ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-gtk20
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc GNOME_SYSCONFDIR=${DESTDIR}/etc GNOME_DATADIR=${DESTDIR}/usr/share; install -d ${DESTDIR}/etc/X11/wmconfig/xmms; install -m 644 xmms/xmms.wmconfig ${DESTDIR}/etc/X11/wmconfig/xmms; install -d ${DESTDIR}/usr/share/pixmaps; install -m 644 xmms/xmms_logo.xpm ${DESTDIR}/usr/share/pixmaps; install -d ${DESTDIR}/usr/share/gnome/apps/Multimedia; install -m 644 xmms/xmms.desktop ${DESTDIR}/usr/share/gnome/apps/Multimedia
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Aug 5 2003 Ximian, Inc.

- Version: 1:1.2.7-21.p.ximian.6.15
- Summary: New build.
- New automated build.

